Subject: [secdir] review of draft-crocker-id-adoption-05

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Fri, 17 Jan 2014 14:41:39 +0000

Hi Dave, Adrian,

I have reviewed this document as part of the security directorate's 
ongoing effort to review all IETF documents being processed by the 
IESG.  These comments were written primarily for the benefit of the 
security area directors.  Document editors and WG chairs should treat 
these comments just like any other last call comments.

This draft describes the typical process for handling the working group drafts workflow.
Let me start with saying that the draft is well written and a pleasure to read.

I believe the non-inclusion of any security considerations makes sense.

Major issues
-----------------
none

Minor issues
-----------------

General:

- I think the title "Creating an IETF Working Group Draft" is a misnomer, at least it led me to believe that it would be a guide for creating a draft, i.e. what template, what sections, how to use the tools etc. Something like "the lifecycle of an IETF WG Draft" seems more appropriate.

- Since this is a document that aims to document the actual way the WG drafts are handled I wonder whether you should mention that reality is not always what is put on paper. For example whereas change control lies with the WG rather then the author, in reality the author often has a strong influence on what is being published.

1.1:

- since in section 5.1 the individual submissions pops up, it may make sense to add a  note here that says something like: "NOTE: in addition to WG drafts each individual can also independently submit a draft (that may at a later stage either or not be adopted by a WG)"

2.1:

- I usually (especially with relative newcomers) explicitly make the authors of a submitted draft aware of the fact that they give up change control for their love baby to the WG.

2.2:

- Also in other sections, but especially when it is about adopting a draft and/or determining whether it fits in the charter there is often quite a bit of involvement from the AD's, I think you need to at least mention the role of the AD wrt the WG process.

- I usually also try to judge if we have a reasonable expectation of finishing up the to be adopted work (workload WG, research character etc.)

- "is a simple modification to the charter feasible and warranted", how about large modifications, are they ever feasible and warranted?

- "Group, not chairs:   Concerning the draft, the position of the
         working group chairs has no special authority.", I think that is only true wrt technical content, the chair does have special authority to make sure that WG consensus is properly represented, that due process is followed etc.

3: 

- Typo in the sentence: "A simplistic rule of thumb is that editors tend
      to do the mechanics of incorporating working group detail, whereas
      tend to create the detail, subject to working group approval."

whereas tend to =>> whereas authors tend to

Hope this helps,

Klaas

---

From: Dave Crocker <[email-masked]>
Date: Fri, 17 Jan 2014 07:49:13 -0800

Klass,

Thanks for your thoughtful comments.

On 1/17/2014 6:41 AM, Klaas Wierenga (kwiereng) wrote:
> - I think the title "Creating an IETF Working Group Draft" is a
> misnomer, at least it led me to believe that it would be a guide for
> creating a draft, i.e. what template, what sections, how to use the
> tools etc. Something like "the lifecycle of an IETF WG Draft" seems
> more appropriate.

Well, the scope of the document did expand, over iterations.  At this 
point I'm probably too deep in the details to have a good sense of a 
good title, though I always appreciate efforts at better titles.  If 
folks think the document really is broad enough to cover wg doc 
lifecycle, that's fine with me.

Adrian?

> - Since this is a document that aims to document the actual way the
> WG drafts are handled I wonder whether you should mention that
> reality is not always what is put on paper. For example whereas
> change control lies with the WG rather then the author, in reality
> the author often has a strong influence on what is being published.

I thought there were enough qualifiers in the document, to this point. 
So please suggest specific addition/changes.  Sometimes too much of that 
kind of commentary can overload a doc to the point of distraction, but 
that's not likely for this case.  So you point and suggest text and I'll 
add it.  (Adrian has also been easy-going about such things with the draft.)

> 1.1:
>
> - since in section 5.1 the individual submissions pops up, it may
> make sense to add a  note here that says something like: "NOTE: in
> addition to WG drafts each individual can also independently submit a
> draft (that may at a later stage either or not be adopted by a WG)"

How's this (adding after <wgname>):

1.1 What is a Working Group Draft?

Documents under development in the IETF community are distributed as 
Internet Drafts (I-D) [ID-Info]. Working groups use this mechanism for 
producing their official output, per Section 7.2 of [RFC2418] and 
Section 6.3 of [Tao]. The convention for identifying an I-D formally 
under the ownership of a working group is by the inclusion of "ietf" in 
the second field of the I-D filename and the working group name in the 
third field, per Section 7 of [ID-Guidelines]. That is:

draft-ietf-<wgname>-...

Individual submissions are drafts being created and pursued outside of a 
working group, although a working group might choose to adopt the draft 
later, as discussed below. Anyone is free to create an individual 
submission at any time. Such documents are typically distinguished 
through the use of the author's last name, in the style of:

draft-<lastname>-...

Responsibility for direct revision of a working group I-D is assigned to 
its editors and authors. See Section 3 for discussion about their 
selection and role.

> 2.1:
>
> - I usually (especially with relative newcomers) explicitly make the
> authors of a submitted draft aware of the fact that they give up
> change control for their love baby to the WG.

What is the specific change you want?

> 2.2:
>
> - Also in other sections, but especially when it is about adopting a
> draft and/or determining whether it fits in the charter there is
> often quite a bit of involvement from the AD's, I think you need to
> at least mention the role of the AD wrt the WG process.

I think this varies quite a bit, and suggest we be careful about saying 
anything that sounds like a requirement for this, especially since there 
is a long-standing desire to /reduce/ AD load, not increase it.

In formal terms, I believe the AD is /not/ part of the draft adoption 
process.  They can interact about anything in the wg, of course, but 
noting any specific like this could too easily confuse folk that it is 
necessary.

> - I usually also try to judge if we have a reasonable expectation of
> finishing up the to be adopted work (workload WG, research character
> etc.)

So add to Criteria:

    o Is the draft likely to be completed in a timely manner?

That's more generic than you've suggested, but I figure the whole point 
of such a bullet is simply to get folk to think about the going-forward 
pragmatics.

> - "is a simple modification to the charter feasible and warranted",
> how about large modifications, are they ever feasible and warranted?

I think the first bullet implies this issue well enough:

    o Is there a charter milestone that explicitly calls for such a 
document?

We need to be careful that the list isn't too picky with details.

> working group chairs has no special authority.", I think that is only
> true wrt technical content, the chair does have special authority to
> make sure that WG consensus is properly represented, that due process
> is followed etc.

    Concerning the draft, the position of the working group chairs has
    no special authority, except to assess working group consensus.

> 3:
>
> - Typo in the sentence: "A simplistic rule of thumb is that editors
> tend to do the mechanics of incorporating working group detail,
> whereas tend to create the detail, subject to working group
> approval."
>

ack. tnx.

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Fri, 17 Jan 2014 16:07:13 +0000

On Jan 17, 2014, at 4:49 PM, Dave Crocker <[email-masked]>
 wrote:

Dave,

> Well, the scope of the document did expand, over iterations.  At this point I'm probably too deep in the details to have a good sense of a good title, though I always appreciate efforts at better titles.  If folks think the document really is broad enough to cover wg doc lifecycle, that's fine with me.
> 
> Adrian?
> 
> 
> I thought there were enough qualifiers in the document, to this point. So please suggest specific addition/changes.  Sometimes too much of that kind of commentary can overload a doc to the point of distraction, but that's not likely for this case.  So you point and suggest text and I'll add it.  (Adrian has also been easy-going about such things with the draft.)

;-) ok, I'll go through it again (probably not today as the week is coming to an end for me)

> Documents under development in the IETF community are distributed as Internet Drafts (I-D) [ID-Info]. Working groups use this mechanism for producing their official output, per Section 7.2 of [RFC2418] and Section 6.3 of [Tao]. The convention for identifying an I-D formally under the ownership of a working group is by the inclusion of "ietf" in the second field of the I-D filename and the working group name in the third field, per Section 7 of [ID-Guidelines]. That is:
> 
> draft-ietf-<wgname>-...
> 
> Individual submissions are drafts being created and pursued outside of a working group, although a working group might choose to adopt the draft later, as discussed below. Anyone is free to create an individual submission at any time. Such documents are typically distinguished through the use of the author's last name, in the style of:
> 
> draft-<lastname>-...
> 
> Responsibility for direct revision of a working group I-D is assigned to its editors and authors. See Section 3 for discussion about their selection and role.

perfect!

> What is the specific change you want?

between bullit 2 and 3 add:

- verify that the draft submitters are aware that they transfer change control for the document to the WG (and the IETF)

(not trying to be picky, but this particular point I have seen go wrong often, leading to rubber stamp discussions etc)

> I think this varies quite a bit, and suggest we be careful about saying anything that sounds like a requirement for this, especially since there is a long-standing desire to /reduce/ AD load, not increase it.
> 
> In formal terms, I believe the AD is /not/ part of the draft adoption process.  They can interact about anything in the wg, of course, but noting any specific like this could too easily confuse folk that it is necessary.

Ehm, yes I understand what you are saying. But I think the AD has a formal role in approving a recharter, right?
 
> That's more generic than you've suggested, but I figure the whole point of such a bullet is simply to get folk to think about the going-forward pragmatics.

yes, better than my suggestion

>   o Is there a charter milestone that explicitly calls for such a document?
> 

ok, agreed

>   no special authority, except to assess working group consensus.

ack

Klaas

---

From: Dave Crocker <[email-masked]>
Date: Fri, 17 Jan 2014 08:08:15 -0800

> Ehm, yes I understand what you are saying. But I think the AD has a formal role in approving a recharter, right?

charter concerns are handled by the bullet that refers to charter scope.

d/

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 17 Jan 2014 16:45:03 -0000

Hi all,

> lifecycle, that's fine with me.

Noting that the filename is I offer

"Observations on the Process for Creating an IETF Working Group Draft"
or
"Adopting an IETF Working Group Draft"
or
"Handling of Internet Drafts by IETF Working Groups"

> add it.  (Adrian has also been easy-going about such things with the draft.)

While I would welcome suggestions of text on this point I am less that
easy-going about documenting worst current practice. In fact, I think I take
issue with what Klaas says: it may well be that document editors/authors have
strong influence on the text that is generated, but if the WG is being denied
the opportunity to review and object to the text (possibly after a revision of
the I-D has been posted), then the WG is not being run well. So I am happy with
the text as it stands.

> How's this (adding after <wgname>):

It's a good change as Dave presents it, but this document is not attempting to
reproduce a discussion of all the mechanics of the IETF.

[snip]

> > change control for their love baby to the WG.
 
Which was, I thought, the point of the text that you objected to before!

> What is the specific change you want?

[KW] between bullit 2 and 3 add:
[KW]
[KW] - verify that the draft submitters are aware that they transfer
[KW]    change control for the document to the WG (and the IETF)

Works for me, but maybe...
 - remind the draft submitters that they transfer change control for
    the document to the WG (and the IETF)

> noting any specific like this could too easily confuse folk that it is

Whether it is a matter of AD load or obsessive micro-management, the chairs run
the WGs not the ADs. Sure, if a chair is found to be in the weeds, the AD will
yank him back or cut him loose, but that is not the AD making the decisions. (Oh
and a chair can ask the AD for any advice, of course.)

Thus, the point of this document is to tell chairs what they are free to do. If
the ADs object, no doubt they will shout at us during IESG review, but I am
pretty confident that the current IESG will say that it is not the AD's job to
make the decisions, merely to hold chairs' feet to the flames.

> of such a bullet is simply to get folk to think about the going-forward

Looks good.

>     no special authority, except to assess working group consensus.

Yes.
 
Thanks,
Adrian

---

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Fri, 17 Jan 2014 17:46:10 +0000

Hi,

> On 17 jan. 2014, at 17:45, "Adrian Farrel" <[email-masked]> wrote:
> 
> Hi all,
> 

I like the third

> the I-D has been posted), then the WG is not being run well. So I am happy with

I think you misunderstand what I tried to say, I am in no way advocating this, I am stating behavior that I observe. What I am proposing text along the lines of "authors and/or editors may feel like that they "own" the document and strongly influence the final text. The WG chair will have to make sure that WG consensus is properly reflected"

> reproduce a discussion of all the mechanics of the IETF.

I understand that, but further down in the document you mention individual submissions without much explanation, I think including it here makes sense to give the reader that is not familiar so the process (the target audience of the document after all) a bit of context.

> Which was, I thought, the point of the text that you objected to before!

Yup, not making a value judgment before, just observing behavior

>    the document to the WG (and the IETF)

Yes, this non-native speaker humbly bows his head

> make the decisions, merely to hold chairs' feet to the flames.

Ok

[snip]

Klaas

---

From: Dave Crocker <[email-masked]>
Date: Fri, 17 Jan 2014 10:00:43 -0800

On 1/17/2014 9:46 AM, Klaas Wierenga (kwiereng) wrote:
> Hi,
>
>> On 17 jan. 2014, at 17:45, "Adrian Farrel" <[email-masked]>
>> wrote: "Handling of Internet Drafts by IETF Working Groups"
>
> I like the third

me too.

>>
>>>> - Since this is a document that aims to document the actual way
>>>> the WG drafts are handled I wonder whether you should mention
>>>> that reality is not always what is put on paper.
...
>>> I thought there were enough qualifiers in the document, to this
>>> point. So please suggest specific addition/changes.  Sometimes
...
>> While I would welcome suggestions of text on this point I am less
>> that easy-going about documenting worst current practice. In fact,
>> I think I take issue with what Klaas says: it may well be that
>> document editors/authors have strong influence on the text that is
>> generated, but if the WG is being denied the opportunity to review
>> and object to the text (possibly after a revision of the I-D has
>> been posted), then the WG is not being run well. So I am happy
>> with the text as it stands.
>
> I think you misunderstand what I tried to say, I am in no way
> advocating this, I am stating behavior that I observe. What I am
> proposing text along the lines of "authors and/or editors may feel
> like that they "own" the document and strongly influence the final
> text. The WG chair will have to make sure that WG consensus is
> properly reflected"

I'm confused.  I would have thought that the existing paragraph:

1.2 Working Group Authority and Consensus
...
At times, a document author/editor can appear to have considerable 
authority over content, but this is (merely) for efficiency. That is, 
the chairs can permit authors and editors to proceed with an implied 
(default) working group agreement, as long as the working group is 
comfortable with that mode...

and all of Section 3, deal with this concern sufficiently.

...
>> [KW] between bullit 2 and 3 add: [KW] [KW] - verify that the draft
>> submitters are aware that they transfer [KW]    change control for
>> Works for me, but maybe... - remind the draft submitters that they
>> transfer change control for the document to the WG (and the IETF)
>

added.

d/

---

From: "Klaas Wierenga (kwiereng)" <[email-masked]>
Date: Mon, 20 Jan 2014 14:16:08 +0000

[snip]

> At times, a document author/editor can appear to have considerable authority over content, but this is (merely) for efficiency. That is, the chairs can permit authors and editors to proceed with an implied (default) working group agreement, as long as the working group is comfortable with that mode...
> 

Yes, you are right, apologies.

Klaas

---

From: Dave Crocker <[email-masked]>
Date: Mon, 20 Jan 2014 06:26:57 -0800

...
> Yes, you are right, apologies.

OK.  Glad they suffice.

d/